<?php
/**
* Программа для получение различной информации по запрашиваемому домену
* 
* PHP 5
*
* Copyright © 2009 Andrej Panov
*
* Лицензионное соглашение:
*
* Данная программа — набор бесплатного ПО, свободно распространяемый и доступный
* для последующей неограниченной модификации.
*
* Права на все подключаемые модули принадлежать исключительно их авторам.
*
* Используя данную программу Вы принимаете, что не являетесь её автором и
* не можете заниматься возмездным распространением (продажей) любой части
* без разрешения автора соответствующего модуля.
*
* Этот файл (index.php) доступен без ограничений для свободной модификации.
*
* Программа поставляется «как есть», автор не несёт ответственности за возможный
* вред или ущерб, причинённый использованием любой её части.
*
* Разработчикам:
*
* Вы можете создавать модули произвольного назвачения и распространять их под
* любой собственной лицензией на любой основе.
*
* Единственное требование, поместить в начало главного файла модуля комментарий
* со ссылкой на данные проект:
* http://a-panov.ru/download/seo-utilities/ seoUtilities project
*
* @package      seoUtilitiesFiles
* @author       Andrej Panov <ab@cdef.ru>
* @copyright    2009 Andrej Panov
* @license      http://www.opensource.org/licenses/lgpl-license.php LGPL
* @version      1.20111118
* @link         http://a-panov.ru/
* @link         http://a-panov.ru/download/seo-utilities/ seoUtilities project
* @since        2009-09-22
*/

header('Content-type:text/html;charset=utf-8'); ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
    <meta http-equiv="Content-type" content="text/html;charset=utf-8">
    <title>Узнать PR и тИЦ. Получение whois-информации о домене.</title>
    <meta http-equiv="keywords" content="PR, тИЦ, информация о домене">
    <meta http-equiv="description" content="Узнать PR и тИЦ. Получение whois-информации о домене">
    <style type="text/css">
        h1 {font-size:125%}
        h2 {font-size:112%}
        .small {font-size:85%}
        .alert {color:#c00}
    </style>
</head>

<body>
<h1>Узнать PR и тИЦ. Получение whois-информации о домене</h1>
<p class="small alert">для пользования сервисом Вы должны принять <a href="license.php">пользовательское соглашение</a>!</p>
<form method="get" action="">
    <p>введите название домена: <input type="text" name="domain" value=""> <input type="submit" value="ok"></p>
</form>

<pre>
<?php
require 'classes/cBase.php';

$classes = array();
$d = opendir('classes');
while (false !== $item = readdir($d)) {
    if (in_array($item, array('.', '..', 'cBase.php'))) continue;
    $p_item = pathinfo($item);
    if ($p_item['extension'] === 'php') $classes[] = $p_item['filename'];
}
closedir($d);
?>

<h2>Доступна статистика по следующим модулям:</h2>
<?php
foreach($classes as $module) echo ' – ' . $module . "\n";
?>

<?php
if (isset($_GET['domain'])) {
    $murl = cBase::get(trim($_GET['domain']));
    
    echo '<h2>Получены следующие данные:</h2>
домен: <strong>' . trim($_GET['domain']) . '</strong><hr>';
    
    foreach ($classes as $module) {
        include 'classes/' . $module . '.php';
        if (false === $info = call_user_func(array($module, 'get'), $murl)) {
            $info = call_user_func(array($module, 'get_error'));
        }
        echo '<h3>'.$module . ':</h3>' . $info . '<hr>';
    }
}
?>
</pre>
</body>
</html>